<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <com.yidian.bcommon.widget.CommonTopBarView
        android:id="@+id/bv_top_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:CommonTopBarView_title_text="@string/store_management_title"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/store_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        tools:listitem="@layout/store_management_item" />

    <com.yidian.bcommon.widget.CommonEmptyPageView
        android:id="@+id/pv_empty_page"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:visibility="gone"
        app:CommonEmptyPageView_empty_content_text="@string/no_stores"
        app:CommonEmptyPageView_empty_tips_text="@string/click_below_add_store"
        app:CommonEmptyPageView_place_holder_img="@drawable/img_empty_place_holder" />

    <LinearLayout
        android:id="@+id/add_store_btn"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp64"
        android:gravity="center"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:layout_marginLeft="30dp"
            android:layout_marginRight="30dp"
            android:background="@drawable/store_card_back"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_add_store"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableStart="@mipmap/store_add"
                android:drawablePadding="8dp"
                android:text="新增门店"
                android:textColor="#fff"
                android:textSize="18sp" />

        </LinearLayout>


    </LinearLayout>


</LinearLayout>